﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Runtime.Serialization;

namespace Battleship.Exceptions
{
    [Serializable]
    internal class ShipNotFoundException : ApplicationException
    {
        public ShipNotFoundException(int i) : base($"Не найден объект по позиции {i}") { }
        public ShipNotFoundException() : base() { }
        public ShipNotFoundException(string message) : base(message) { }
        public ShipNotFoundException(string message, Exception exception) : base(message, exception) { }
        protected ShipNotFoundException(SerializationInfo info, StreamingContext context) : base(info, context) { }
    }
}
